Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Core.StreamUtils Class Referencesealed

Provides simple Stream" utilities. More...

## Static Public Member Functions
static void | ReadFully (Stream stream, byte[] buffer)
| Read from a Stream ensuring all the required data is read.
static void | ReadFully (Stream stream, byte[] buffer, int offset, int count)
| Read from a Stream" ensuring all the required data is read.
static void | Copy (Stream source, Stream destination, byte[] buffer)
| Copy the contents of one Stream to another.
static void | Copy (Stream source, Stream destination, byte[] buffer, ProgressHandler progressHandler, TimeSpan updateInterval, object sender, string name)
| Copy the contents of one Stream to another.
static void | Copy (Stream source, Stream destination, byte[] buffer, ProgressHandler progressHandler, TimeSpan updateInterval, object sender, string name, long fixedTarget)
| Copy the contents of one Stream to another.

## Private Member Functions
| StreamUtils ()
| Initialise an instance of StreamUtils

## Detailed Description

Provides simple Stream" utilities.

## Constructor & Destructor Documentation

## ◆ StreamUtils()

ICSharpCode.SharpZipLib.Core.StreamUtils.StreamUtils | ( |  | ) |
| private

Initialise an instance of StreamUtils

## Member Function Documentation

## ◆ Copy() [1/3]

void ICSharpCode.SharpZipLib.Core.StreamUtils.Copy | ( | Stream | source,
|  | Stream | destination,
|  | byte[] | buffer )
| static

Copy the contents of one Stream to another.

Parameters

  source | The stream to source data from.
  destination | The stream to write data to.
  buffer | The buffer to use during copying.

Here is the caller graph for this function:

## ◆ Copy() [2/3]

void ICSharpCode.SharpZipLib.Core.StreamUtils.Copy | ( | Stream | source,
|  | Stream | destination,
|  | byte[] | buffer,
|  | ProgressHandler | progressHandler,
|  | TimeSpan | updateInterval,
|  | object | sender,
|  | string | name )
| static

Copy the contents of one Stream to another.

Parameters

  source | The stream to source data from.
  destination | The stream to write data to.
  buffer | The buffer to use during copying.
  progressHandler | The progress handler delegate to use.
  updateInterval | The minimum TimeSpan between progress updates.
  sender | The source for this event.
  name | The name to use with the event.

This form is specialised for use within Zip to support events during archive operations.

Here is the call graph for this function:

## ◆ Copy() [3/3]

void ICSharpCode.SharpZipLib.Core.StreamUtils.Copy | ( | Stream | source,
|  | Stream | destination,
|  | byte[] | buffer,
|  | ProgressHandler | progressHandler,
|  | TimeSpan | updateInterval,
|  | object | sender,
|  | string | name,
|  | long | fixedTarget )
| static

Copy the contents of one Stream to another.

Parameters

  source | The stream to source data from.
  destination | The stream to write data to.
  buffer | The buffer to use during copying.
  progressHandler | The progress handler delegate to use.
  updateInterval | The minimum TimeSpan between progress updates.
  sender | The source for this event.
  name | The name to use with the event.
  fixedTarget | A predetermined fixed target value to use with progress updates. If the value is negative the target is calculated by looking at the stream.

This form is specialised for use within Zip to support events during archive operations.

Here is the call graph for this function:

## ◆ ReadFully() [1/2]

void ICSharpCode.SharpZipLib.Core.StreamUtils.ReadFully | ( | Stream | stream,
|  | byte[] | buffer )
| static

Read from a Stream ensuring all the required data is read.

Parameters

  stream | The stream to read.
  buffer | The buffer to fill.

See also
  ReadFully(Stream,byte[],int,int)

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ ReadFully() [2/2]

void ICSharpCode.SharpZipLib.Core.StreamUtils.ReadFully | ( | Stream | stream,
|  | byte[] | buffer,
|  | int | offset,
|  | int | count )
| static

Read from a Stream" ensuring all the required data is read.

Parameters

  stream | The stream to read data from.
  buffer | The buffer to store data in.
  offset | The offset at which to begin storing data.
  count | The number of bytes of data to store.

Exceptions

  ArgumentNullException | Required parameter is null
  ArgumentOutOfRangeException | offset and or count are invalid.
  EndOfStreamException | End of stream is encountered before all the data has been read.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Core/StreamUtils.cs